### Method

# CM Client get_pushers_finish

since: 0.0.1

#### Declaration [src]

    GPtrArray*
    cm_client_get_pushers_finish (
      CmClient* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started with `cm_client_get_pushers_async()` and returns an array of configured pushers. Destroy with `g_ptr_array_unref`.

Available since: 0.0.1

#### Parameters

`result`

  Type: `GAsyncResult`

  `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `CmPusher*`

The array of pushers.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.